Package com.collabnet.ce.soap60.webservices.planning

# Class PlanningFolder4SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
com.collabnet.ce.soap60.webservices.planning.PlanningFolder4SoapDO

public class PlanningFolder4SoapDO extends FolderSoapDO
A Planning Folder is a collection of one or more artifacts.
Change History
Release: 6.1

- Added CAPACITY_NOT_SET constant.
- Added status, statusClass, capacity, and releaseId fields.

Release: 6.2

- Added tracker unit id.

Release: 7.1

- Added points capacity.

Release: 7.2

- Added burndownViewMode field.
- Added EFFORT and POINTS constants.

Since:
  5.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CAPACITY_NOT_SET`
  Value for the 'capacity' field, indicating that capacity is not set.
  `static final String`
  `EFFORT`
  `static final String`
  `POINTS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanningFolder4SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBurndownViewMode()`
  Returns 'burndownViewMode'.
  `int`
  `getCapacity()`
  Returns 'capacity'.
  `Date`
  `getEndDate()`
  Returns 'endDate'.
  `int`
  `getPointsCapacity()`
  Returns 'pointsCapacity'.
  `String`
  `getReleaseId()`
  Returns 'releaseId'.
  `Date`
  `getStartDate()`
  Returns 'startDate'.
  `String`
  `getStatus()`
  Returns 'status'.
  `String`
  `getStatusClass()`
  Returns 'statusClass'.
  `String`
  `getTrackerUnitId()`
  Returns 'trackerUnitId'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setBurndownViewMode(String burndownViewMode)`
  Sets 'burndownViewMode'.
  `void`
  `setCapacity(int capacity)`
  Sets 'capacity'.
  `void`
  `setEndDate(Date endDate)`
  Sets 'endDate'.
  `void`
  `setPointsCapacity(int pointsCapacity)`
  Sets 'pointsCapacity'.
  `void`
  `setReleaseId(String releaseId)`
  Sets 'releaseId'.
  `void`
  `setStartDate(Date startDate)`
  Sets 'startDate'.
  `void`
  `setStatus(String status)`
  Sets 'status'.
  `void`
  `setStatusClass(String statusClass)`
  Sets 'statusClass'.
  `void`
  `setTrackerUnitId(String trackerUnitId)`
  Sets 'trackerUnitId'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CAPACITY_NOT_SET

    public static final int CAPACITY_NOT_SET
    Value for the 'capacity' field, indicating that capacity is not set.
    See Also:
      - Constant Field Values

  - ### EFFORT

    public static final String EFFORT
    See Also:
      - Constant Field Values

  - ### POINTS

    public static final String POINTS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PlanningFolder4SoapDO

    public PlanningFolder4SoapDO()

- ## Method Details

  - ### getStartDate

    public Date getStartDate()
    Returns 'startDate'.
    Returns:
      Value of 'startDate'.

  - ### setStartDate

    public void setStartDate(Date startDate)
    Sets 'startDate'.
    Parameters:
      `startDate` - Value of 'startDate'.

  - ### getEndDate

    public Date getEndDate()
    Returns 'endDate'.
    Returns:
      Value of 'endDate'.

  - ### setEndDate

    public void setEndDate(Date endDate)
    Sets 'endDate'.
    Parameters:
      `endDate` - Value of 'endDate'.

  - ### getStatus

    public String getStatus()
    Returns 'status'.
    Returns:
      Value of 'status'.

  - ### setStatus

    public void setStatus(String status)
    Sets 'status'.
    Parameters:
      `status` - Value of 'status'.

  - ### getStatusClass

    public String getStatusClass()
    Returns 'statusClass'.
    Returns:
      Value of 'statusClass'.

  - ### setStatusClass

    public void setStatusClass(String statusClass)
    Sets 'statusClass'.
    Parameters:
      `statusClass` - Value of 'statusClass'.

  - ### getCapacity

    public int getCapacity()
    Returns 'capacity'.
    Returns:
      Value of 'capacity'.

  - ### setCapacity

    public void setCapacity(int capacity)
    Sets 'capacity'.
    Parameters:
      `capacity` - Value of 'capacity'.

  - ### getPointsCapacity

    public int getPointsCapacity()
    Returns 'pointsCapacity'.
    Returns:
      Value of 'pointsCapacity'.

  - ### setPointsCapacity

    public void setPointsCapacity(int pointsCapacity)
    Sets 'pointsCapacity'.
    Parameters:
      `pointsCapacity` - Value of 'pointsCapacity'.

  - ### getReleaseId

    public String getReleaseId()
    Returns 'releaseId'.
    Returns:
      Value of 'releaseId'.

  - ### setReleaseId

    public void setReleaseId(String releaseId)
    Sets 'releaseId'.
    Parameters:
      `releaseId` - Value of 'releaseId'.

  - ### getTrackerUnitId

    public String getTrackerUnitId()
    Returns 'trackerUnitId'.
    Returns:
      Value of 'trackerUnitId'.

  - ### setTrackerUnitId

    public void setTrackerUnitId(String trackerUnitId)
    Sets 'trackerUnitId'.
    Parameters:
      `trackerUnitId` - Value of 'trackerUnitId'.

  - ### getBurndownViewMode

    public String getBurndownViewMode()
    Returns 'burndownViewMode'.
    Returns:
      Value of 'burndownViewMode'.

  - ### setBurndownViewMode

    public void setBurndownViewMode(String burndownViewMode)
    Sets 'burndownViewMode'.
    Parameters:
      `burndownViewMode` - Value of 'burndownViewMode'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)